Name: wxmacmolplt
Version: 7.4.4
Release: 1%{?dist}
Group: Applications/Engineering
Summary: A graphics program for plotting 3-D molecular structures and normal modes
License: GPLv2+
URL: http://www.scl.ameslab.gov/~brett/MacMolPlt/
Source0: http://www.scl.ameslab.gov/~brett/MacMolPlt/download/wxmacmolplt-%{version}.tar.gz
Source1: http://www.scl.ameslab.gov/~brett/MacMolPlt/MacMolPltIcon.gif
Source2: %{name}.desktop
BuildRequires: %{_bindir}/convert
BuildRequires: desktop-file-utils
BuildRequires: glew-devel
BuildRequires: wxGTK-devel >= 2.6.3
Requires: hicolor-icon-theme
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
MacMolPlt is:
* A modern graphics program for plotting 3-D molecular structures and
  normal modes (vibrations). Modern means:
  o Mouse driven interface for real-time rotation and translation.
  o copy and paste functionality for interfacing to other programs such
    as word processors or other graphics programs (like ChemDraw).
  o simple printing to color or black and white printers (publication
    quality).
  o multiple files open at once.
* It reads a variety of file formats including any GAMESS input, log or
  IRC file directly to create animations of IRC's, DRC's, and
  optimizations. You may also import a $VEC group from any file (such as
  a GAMESS .DAT file). In addition xMol XYZ files, MolDen format files
  and Chemical Markup Language (CML) files are supported. Also some PDB
  file support and MDL MolFile support is included.

%prep
%setup -q
convert %{SOURCE1} wxmacmolplt.png

%build
%configure --docdir=%{_datadir}/doc/%{name}-%{version}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -Dpm644 wxmacmolplt.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/wxmacmolplt
%{_mandir}/man1/wxmacmolplt.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
%{_datadir}/wxmacmolplt

%changelog
* Sun Mar 17 2013 Dominik Mierzejewski <rpm@greysector.net> 7.4.4-1
- updated to 7.4.4
- dropped system glew patch (obsolete)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 7.4.1-8
- Rebuild for glew 1.9.0

* Wed Aug 01 2012 Adam Jackson <ajax@redhat.com> - 7.4.1-7
- -Rebuild for new glew

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 ajax@redhat.com - 7.4.1-3
- Rebuild for new glew soname

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 13 2010 Dominik Mierzejewski <rpm@greysector.net> 7.4.1-1
- updated to 7.4.1

* Wed Dec 02 2009 Dominik Mierzejewski <rpm@greysector.net> 7.4-1
- adapted upstream specfile
- patched to use system glew
- added desktop file and icon from project website
